Subject: bug#26815: [PATCH 3/3] vm: Add UEFI loader to disk images.

From: Marius Bakke <[email-masked]>
Date: Wed, 10 May 2017 23:21:00 +0200

Ludovic Courtès <[email-masked]> writes:

> Hi Marius,
>
> Marius Bakke <[email-masked]> skribis:
>
>> * gnu/system/vm.scm (qemu-image): Add GRUB-EFI to inputs. Append 40MiB EFI
>> System Partition.
>> * gnu/build/vm.scm (install-efi): New procedure.
>> (initialize-hard-disk): Generate grub EFI blob when ESP is present.
>
> [...]
>
>> +(define (install-efi esp grub.cfg)
>> +  "Write a self-contained Grub UEFI blob to the mounted ESP using GRUB.CFG."
>
> I’m really nitpicking here, but the spelling is “GRUB”.  :-)

Aah, forgot it was an acronym. Will fix!

>> +        (with-output-to-file grub.cfg
>> +          (lambda _
>> +            (format #t
>> +                    "insmod part_msdos~@
>
> Nitpicking too, but I have a preference for the more explicit:
>
>   (call-with-output-file grub.cfg
>     (lambda (port)
>       (format port …)))

Duly noted.

> Do I get it right that ‘disk-image’ will now give us UEFI-enabled
> images?  (Should we mention it in guix.texi?)

Indeed! It should even work on EFI-enabled ARM hardware.

It probably deserves a mention in the manual somewhere. Will have a look.